import React, { PropsWithChildren, ElementType, CSSProperties } from 'react';
export declare type ActionPanelProps = PropsWithChildren<{
    color?: string;
    className?: string;
    direction?: string;
}>;
export declare type ActionPanelItemProps = PropsWithChildren<{
    color?: string;
    className?: string;
    Icon?: ElementType;
    label: string;
    onClick?: () => void;
    isSelection?: boolean;
    isActive?: boolean;
    style?: CSSProperties;
}>;
export interface DirectionProp {
    direction: string;
}
/** @type {typeof import('./action-panel').ActionPanelItem} */
export declare const ActionPanelItem: React.MemoExoticComponent<({ children, color, className, Icon, label, onClick, isSelection, isActive, style }: ActionPanelItemProps) => JSX.Element>;
/** @type {typeof import('./action-panel').ActionPanel} */
declare const ActionPanel: {
    ({ children, className, direction }: ActionPanelProps): JSX.Element;
    displayName: string;
};
export default ActionPanel;
