import React from 'react';
import { Rocket } from '../icons';
import AnimationSpeedSliderFactory from './animation-speed-slider';
import WindowActionControlFactory from './window-action-control';
import AnimationWindowControlFactory, { AnimationItem } from './animation-window-control';
import ResetControlFactory from './reset-control';
import PlayControlFactory from './play-control';
declare const DEFAULT_ICONS: {
    reset: (_: any) => JSX.Element;
    play: (_: any) => JSX.Element;
    pause: (_: any) => JSX.Element;
    export: (_: any) => JSX.Element;
    speed: typeof Rocket;
    animationFree: {
        (props: Partial<import("../icons").BaseProps>): JSX.Element;
        defaultProps: {
            height: string;
            viewBox: string;
            predefinedClassName: string;
        };
    };
    animationIncremental: {
        (props: Partial<import("../icons").BaseProps>): JSX.Element;
        defaultProps: {
            height: string;
            viewBox: string;
            predefinedClassName: string;
        };
    };
};
interface PlaybackControlsProps {
    isAnimatable?: boolean;
    isAnimating?: boolean;
    width?: number | string;
    speed: number;
    animationWindow?: string;
    setFilterAnimationWindow?: (id: string) => void;
    updateAnimationSpeed?: (val: number) => void;
    pauseAnimation?: () => void;
    resetAnimation?: () => void;
    startAnimation: () => void;
    playbackIcons?: typeof DEFAULT_ICONS;
    animationItems?: {
        [key: string]: AnimationItem;
    };
    buttonStyle?: string;
    buttonHeight?: string;
    playbackActionItems?: any[];
    className?: string;
}
declare function PlaybackControlsFactory(AnimationSpeedSlider: ReturnType<typeof AnimationSpeedSliderFactory>, WindowActionControl: any, AnimationWindowControl: any, ResetControl: any, PlayControl: any): React.FC<PlaybackControlsProps>;
declare namespace PlaybackControlsFactory {
    var deps: (typeof AnimationSpeedSliderFactory | typeof WindowActionControlFactory | typeof AnimationWindowControlFactory | typeof ResetControlFactory | typeof PlayControlFactory)[];
}
export default PlaybackControlsFactory;
