import React, { CSSProperties } from 'react';
import FieldTokenFactory, { FieldTokenProps } from '../../common/field-token';
import { DataTableProps } from './index';
declare type CellInfo = {
    columnIndex: number;
    isScrolling: boolean;
    isVisible: boolean;
    key: string;
    parent: any;
    rowIndex: number;
    style: CSSProperties;
};
declare type HeaderCellProps = {
    cellInfo: CellInfo;
    columns: DataTableProps['columns'];
    isPinned?: boolean;
    props: DataTableProps;
    toggleMoreOptions: (moreOptionsColumn: string) => void;
    moreOptionsColumn: null | string;
};
declare const HeaderCellFactory: {
    (FieldToken: React.FC<FieldTokenProps>): ({ cellInfo, columns, isPinned, props, toggleMoreOptions, moreOptionsColumn }: HeaderCellProps) => JSX.Element;
    deps: (typeof FieldTokenFactory)[];
};
export default HeaderCellFactory;
