/// <reference types="react" />
import { LineSeriesPoint, RVNearestXData } from 'react-vis';
import { LineChart } from '@kepler.gl/types';
export interface HoverDP {
    x: number;
    y: number;
    color?: string | number;
    opacity?: string | number;
    stroke?: string | number;
    fill?: string | number;
    size?: string | number;
}
interface LineChartProps {
    brushComponent?: any;
    brushing?: boolean;
    color?: string;
    enableChartHover?: boolean;
    height: number;
    hoveredDP?: HoverDP | null;
    isEnlarged?: boolean;
    lineChart?: LineChart;
    margin: {
        top?: number;
        bottom?: number;
        left?: number;
        right?: number;
    };
    onMouseMove: (datapoint: LineSeriesPoint | null, data?: RVNearestXData<LineSeriesPoint>) => void;
    width: number;
    timezone?: string | null;
    timeFormat?: string;
}
declare function LineChartFactory(): ({ brushComponent, brushing, color, enableChartHover, height, hoveredDP, isEnlarged, lineChart, margin, onMouseMove, width, timezone, timeFormat }: LineChartProps) => JSX.Element;
export default LineChartFactory;
