import React from 'react';
import RangeBrushFactory, { OnBrush } from './range-brush';
import HistogramPlotFactory from './histogram-plot';
import LineChartFactory from './line-chart';
import { LineChart } from '@kepler.gl/types';
declare function RangePlotFactory(RangeBrush: ReturnType<typeof RangeBrushFactory>, HistogramPlot: ReturnType<typeof HistogramPlotFactory>, LineChartPlot: ReturnType<typeof LineChartFactory>): React.ForwardRefExoticComponent<{
    value: number[];
    height?: number | undefined;
    width: number;
    step?: number | undefined;
    isRanged?: boolean | undefined;
    range: number[];
    onBrushStart?: (() => void) | undefined;
    onBrushEnd?: (() => void) | undefined;
    onBrush: OnBrush;
    marks?: number[] | undefined;
    onMouseoverHandle?: (() => void) | undefined;
    onMouseoutHandle?: (() => void) | undefined;
    histogram?: {
        x0: number;
        x1: number;
    }[] | undefined;
    isEnlarged?: boolean | undefined;
    lineChart?: LineChart | undefined;
    timezone?: string | null | undefined;
    timeFormat?: string | undefined;
    plotType?: string | undefined;
    playbackControlWidth?: number | undefined;
} & {
    theme?: any;
}>;
declare namespace RangePlotFactory {
    var deps: (typeof RangeBrushFactory | typeof HistogramPlotFactory | typeof LineChartFactory)[];
}
export default RangePlotFactory;
