import React, { Component, RefObject } from 'react';
import MouseEventHandler from './mouse-event';
import { StyleRangeSliderType } from './slider';
declare type SliderHandleProps = {
    sliderHandleWidth: number;
    left: string;
    display: boolean;
    valueListener: (distance: number) => void;
    vertical: boolean;
    track: RefObject<StyleRangeSliderType>;
    showTooltip: boolean;
    value?: number;
};
export default class SliderHandle extends Component {
    props: SliderHandleProps;
    static defaultProps: {
        sliderHandleWidth: number;
        left: string;
        display: boolean;
        vertical: boolean;
        valueListener: () => void;
        showTooltip: boolean;
    };
    mouseEvent: MouseEventHandler;
    constructor(props: SliderHandleProps);
    state: {
        mouseOver: boolean;
    };
    ref: React.RefObject<HTMLSpanElement>;
    toggleMouseOver: () => void;
    render(): JSX.Element;
}
export {};
