import React from 'react';
import RangeSliderFactory from './range-slider';
import TimeSliderMarkerFactory from './time-slider-marker';
import PlaybackControlsFactory from './animation-control/playback-controls';
import TimeRangeSliderTimeTitleFactory from './time-range-slider-time-title';
import { HistogramBin, LineChart } from '@kepler.gl/types';
declare type TimeRangeSliderProps = {
    domain?: [number, number];
    value: [number, number];
    isEnlarged?: boolean;
    hideTimeTitle?: boolean;
    isAnimating: boolean;
    timeFormat: string;
    timezone?: string | null;
    histogram?: HistogramBin[];
    plotType?: string;
    lineChart?: LineChart;
    step: number;
    isAnimatable?: boolean;
    speed: number;
    animationWindow: string;
    resetAnimation?: () => void;
    toggleAnimation: () => void;
    updateAnimationSpeed?: (val: number) => void;
    setFilterAnimationWindow?: (id: string) => void;
    onChange: (v: number[]) => void;
};
declare function TimeRangeSliderFactory(PlaybackControls: ReturnType<typeof PlaybackControlsFactory>, RangeSlider: ReturnType<typeof RangeSliderFactory>, TimeSliderMarker: ReturnType<typeof TimeSliderMarkerFactory>, TimeRangeSliderTimeTitle: ReturnType<typeof TimeRangeSliderTimeTitleFactory>): React.NamedExoticComponent<TimeRangeSliderProps>;
declare namespace TimeRangeSliderFactory {
    var deps: (typeof RangeSliderFactory | typeof TimeSliderMarkerFactory | typeof PlaybackControlsFactory | typeof TimeRangeSliderTimeTitleFactory)[];
}
export default TimeRangeSliderFactory;
