import React, { CSSProperties } from 'react';
import FeatureActionPanelFactory, { FeatureActionPanelProps } from './feature-action-panel';
import { Layer } from '@kepler.gl/layers';
import { Filter } from '@kepler.gl/types';
import { Feature } from '@nebula.gl/edit-modes';
import { Datasets } from '@kepler.gl/table';
interface EditorProps {
    filters: Filter[];
    layers: Layer[];
    datasets: Datasets;
    editor: {
        selectedFeature: Feature;
        mode: string;
    };
    layersToRender: Record<string, Layer>;
    index: number;
    className: string;
    clickRadius: number;
    style: CSSProperties;
    isEnabled: boolean;
    onSelect: (f: Feature | null) => void;
    onUpdate: (f: Feature[]) => void;
    onDeleteFeature: (f: Feature) => void;
    onTogglePolygonFilter: (l: Layer, f: Feature) => void;
}
declare function EditorFactory(FeatureActionPanel: React.FC<FeatureActionPanelProps>): React.ComponentClass<EditorProps>;
declare namespace EditorFactory {
    var deps: (typeof FeatureActionPanelFactory)[];
}
export default EditorFactory;
