import React from 'react';
import { ImageModalContainerProps } from './image-modal-container';
import { Provider } from '@kepler.gl/cloud-providers';
import { cleanupExportImage as cleanupExportImageAction, SetCloudProviderPayload } from '@kepler.gl/actions';
export declare const StyledInputLabel: import("styled-components").StyledComponent<"label", any, {}, never>;
export declare const StyleSharingUrl: import("styled-components").StyledComponent<"div", any, {
    className: "sharing-url";
}, "className">;
interface SharingUrlProps {
    url: string;
    message?: string;
}
export declare const SharingUrl: React.FC<SharingUrlProps>;
interface ShareMapUrlModalFactoryProps {
    isProviderLoading?: boolean;
    isReady?: boolean;
    onExport?: (provider: Provider) => void;
    cloudProviders?: Provider[];
    currentProvider: string | null;
    providerError?: string;
    successInfo?: {
        shareUrl?: string;
        folderLink?: string;
    };
    onSetCloudProvider?: (provider: SetCloudProviderPayload) => void;
    onUpdateImageSetting: ImageModalContainerProps['onUpdateImageSetting'];
    cleanupExportImage: typeof cleanupExportImageAction;
}
export default function ShareMapUrlModalFactory(): React.FC<ShareMapUrlModalFactoryProps>;
export {};
