/// <reference types="react" />
import SourceDataCatalogFactory from './common/source-data-catalog';
import FilterPanelFactory from './filter-panel/filter-panel';
import { Filter } from '@kepler.gl/types';
import { Layer } from '@kepler.gl/layers';
import { VisStateActions, ActionHandler } from '@kepler.gl/actions';
import { Datasets } from '@kepler.gl/table';
declare type FilterManagerProps = {
    filters: Filter[];
    datasets: Datasets;
    layers: Layer[];
    showDatasetTable: ActionHandler<typeof VisStateActions.showDatasetTable>;
    updateTableColor: ActionHandler<typeof VisStateActions.updateTableColor>;
    visStateActions: typeof VisStateActions;
};
declare function FilterManagerFactory(SourceDataCatalog: ReturnType<typeof SourceDataCatalogFactory>, FilterPanel: ReturnType<typeof FilterPanelFactory>): ({ filters, datasets, layers, showDatasetTable, updateTableColor, visStateActions }: FilterManagerProps) => JSX.Element;
declare namespace FilterManagerFactory {
    var deps: (typeof SourceDataCatalogFactory | typeof FilterPanelFactory)[];
}
export default FilterManagerFactory;
