import React from 'react';
import SourceDataCatalogFactory from '../common/source-data-catalog';
import { UIStateActions, VisStateActions, ActionHandler } from '@kepler.gl/actions';
import { Datasets } from '@kepler.gl/table';
declare type AddDataButtonProps = {
    onClick: () => void;
    isInactive: boolean;
};
declare type DatasetSectionProps = {
    datasets: Datasets;
    defaultDataset: string;
    showDatasetList: boolean;
    showDeleteDataset: boolean;
    showDatasetTable: ActionHandler<typeof VisStateActions.showDatasetTable>;
    updateTableColor: ActionHandler<typeof VisStateActions.updateTableColor>;
    removeDataset: ActionHandler<typeof UIStateActions.openDeleteModal>;
    showAddDataModal: () => void;
};
export declare function AddDataButtonFactory(): React.FC<AddDataButtonProps>;
declare function DatasetSectionFactory(SourceDataCatalog: ReturnType<typeof SourceDataCatalogFactory>, AddDataButton: ReturnType<typeof AddDataButtonFactory>): React.FC<DatasetSectionProps>;
declare namespace DatasetSectionFactory {
    var deps: (typeof SourceDataCatalogFactory | typeof AddDataButtonFactory)[];
}
export default DatasetSectionFactory;
