import React from 'react';
import ColumnSelectorFactory from './column-selector';
import { ColumnPairs, Layer, LayerColumns, LayerBaseConfig } from '@kepler.gl/layers';
import { Field, FieldPair } from '@kepler.gl/types';
declare type LayerColumnConfigProps = {
    columnPairs?: ColumnPairs | null;
    fieldPairs?: FieldPair[];
    columns: LayerColumns;
    columnLabels?: Record<string, string>;
    fields: Field[];
    updateLayerConfig: (newConfig: Partial<LayerBaseConfig>) => void;
    assignColumn: Layer['assignColumn'];
    assignColumnPairs: Layer['assignColumnPairs'];
};
declare function LayerColumnConfigFactory(ColumnSelector: ReturnType<typeof ColumnSelectorFactory>): React.FC<LayerColumnConfigProps>;
declare namespace LayerColumnConfigFactory {
    var deps: (typeof ColumnSelectorFactory)[];
}
export default LayerColumnConfigFactory;
