import React from 'react';
import { LayerPanelListView } from '@kepler.gl/types';
declare type ToggleOptionProps = {
    isActive: boolean;
    onClick: () => void;
    option: typeof TOGGLE_OPTIONS[0];
};
declare type PanelViewListToggleProps = {
    layerPanelListViewMode: LayerPanelListView;
    toggleLayerPanelListView: (view: string) => void;
};
export declare const StyledToggleOption: import("styled-components").StyledComponent<"div", any, {
    className: "layer-panel-toggle-option";
} & {
    active: boolean;
}, "className">;
declare function ToggleOptionFactory(): React.FC<ToggleOptionProps>;
declare const TOGGLE_OPTIONS: {
    id: string;
    iconComponent: {
        (props: Partial<import("../../common/icons").BaseProps>): JSX.Element;
        defaultProps: {
            height: string;
            fill: string;
            viewBox: string;
            predefinedClassName: string;
        };
    };
    value: string;
    label: string;
}[];
declare function PanelViewListToggleFactory(ToggleOption: ReturnType<typeof ToggleOptionFactory>): React.FC<PanelViewListToggleProps>;
declare namespace PanelViewListToggleFactory {
    var deps: (typeof ToggleOptionFactory)[];
}
export default PanelViewListToggleFactory;
