import React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { Field } from '@kepler.gl/types';
import InfoHelperFactory from '../../common/info-helper';
import FieldSelectorFactory from '../../common/field-selector';
declare type VisConfigByFieldSelectorProps = {
    channel: string;
    fields: Field[];
    id: string;
    property: string;
    showScale: boolean;
    updateField: (val: readonly (string | number | boolean | object)[] | string | number | boolean | object | null) => void;
    updateScale: (val: readonly (string | number | boolean | object)[] | string | number | boolean | object | null) => void;
    scaleType?: string;
    selectedField?: Field;
    description?: string;
    label?: string;
    placeholder?: string;
    scaleOptions: string[];
} & WrappedComponentProps;
declare function VisConfigByFieldSelectorFactory(InfoHelper: ReturnType<typeof InfoHelperFactory>, FieldSelector: ReturnType<typeof FieldSelectorFactory>): React.ForwardRefExoticComponent<import("react-intl").Omit<VisConfigByFieldSelectorProps, "intl"> & {
    forwardedRef?: React.Ref<any> | undefined;
} & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<VisConfigByFieldSelectorProps>;
};
declare namespace VisConfigByFieldSelectorFactory {
    var deps: (typeof FieldSelectorFactory | typeof InfoHelperFactory)[];
}
export default VisConfigByFieldSelectorFactory;
