import { ValueOf } from '@kepler.gl/types';
export declare const TOOLTIP_FORMAT_TYPES: {
    NONE: string;
    DATE: string;
    DATE_TIME: string;
    DECIMAL: string;
    PERCENTAGE: string;
    BOOLEAN: string;
};
export declare const TOOLTIP_KEY = "format";
export declare type TooltipFormat = {
    id: string;
    label: string;
    format: null | string;
    type: ValueOf<typeof TOOLTIP_FORMAT_TYPES>;
};
export declare const TOOLTIP_FORMATS: {
    NONE: {
        id: string;
        label: string;
        format: null;
        type: string;
    };
    DECIMAL_SHORT: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_COMMA: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_SHORT_COMMA: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_PERCENT_FULL_1: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_PERCENT_FULL_2: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_PRECENT_REGULAR: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_DECIMAL_FIXED_2: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_DECIMAL_FIXED_3: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_INT: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_THREE: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_DELTA: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DECIMAL_CURRENCY: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_L: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_LL: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_dddd_LL: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_ddd_LL: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_L_LT: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_L_LTS: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_LLL: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_LL_LTS: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_ddd_LLL: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    DATE_TIME_LTS: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    BOOLEAN_NUM: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
    BOOLEAN_Y_N: {
        id: string;
        label: string;
        format: string;
        type: string;
    };
};
export declare const COMPARE_TYPES: {
    ABSOLUTE: string;
    RELATIVE: string;
};
