import { VisState } from '@kepler.gl/schemas';
import { MapState, UiState } from '@kepler.gl/types';
import { MapStyle } from './map-style-updaters';
import { ProviderState } from './provider-state-updaters';
export declare type KeplerGlState = {
    visState: VisState;
    mapState: MapState;
    mapStyle: MapStyle;
    uiState: UiState;
    providerState: ProviderState;
};
export declare const coreReducerFactory: (initialState?: Partial<KeplerGlState>) => (state: any, action: any) => any;
declare const _default: (state: any, action: any) => any;
export default _default;
/**
 * Connect subreducer `mapState`, used with `injectComponents`. Learn more at
 * [Replace UI Component](../advanced-usages/replace-ui-component.md#pass-custom-component-props)
 *
 * @param {*} reduxState
 * @public
 */
export declare const mapStateLens: (reduxState: KeplerGlState) => {
    mapState: MapState;
};
/**
 * Connect subreducer `mapStyle`, used with `injectComponents`. Learn more at
 * [Replace UI Component](../advanced-usages/replace-ui-component.md#pass-custom-component-props)
 *
 * @param {*} reduxState
 * @public
 */
export declare const mapStyleLens: (reduxState: KeplerGlState) => {
    mapStyle: MapStyle;
};
/**
 * Connect subreducer `visState`, used with `injectComponents`. Learn more at
 * [Replace UI Component](../advanced-usages/replace-ui-component.md#pass-custom-component-props)
 *
 * @param {*} reduxState
 * @public
 */
export declare const visStateLens: (reduxState: KeplerGlState) => {
    visState: VisState;
};
/**
 * Connect subreducer `uiState`, used with `injectComponents`. Learn more at
 * [Replace UI Component](../advanced-usages/replace-ui-component.md#pass-custom-component-props)
 *
 * @param {*} reduxState
 * @public
 */
export declare const uiStateLens: (reduxState: KeplerGlState) => {
    uiState: UiState;
};
/**
 * Connect subreducer `providerState`, used with `injectComponents`. Learn more at
 * [Replace UI Component](../advanced-usages/replace-ui-component.md#pass-custom-component-props)
 *
 * @param {*} reduxState
 * @public
 */
export declare const providerStateLens: (reduxState: KeplerGlState) => {
    providerState: ProviderState;
};
