import { Field, TooltipField, CompareType } from '@kepler.gl/types';
import { DataRow } from '@kepler.gl/utils';
/**
 * Minus sign used in tooltip formatting.
 * \u2212 or \u002D is the minus sign that d3-format uses for decimal number formatting
 * d3-format 2.0 uses \u002D
 */
export declare const TOOLTIP_MINUS_SIGN = "\u2212";
export declare const NEGATIVE_SIGNS: string[];
export declare const BRUSH_CONFIG: {
    range: [number, number];
};
export declare function findFieldsToShow({ fields, id, maxDefaultTooltips }: {
    fields: Field[];
    id: string;
    maxDefaultTooltips: number;
}): {
    [key: string]: string[];
};
/**
 * @type {typeof import('./interaction-utils').getTooltipDisplayDeltaValue}
 */
export declare function getTooltipDisplayDeltaValue({ primaryData, field, compareType, data, fieldIdx, item }: {
    item: TooltipField;
    field: Field;
    data: DataRow;
    fieldIdx: number;
    primaryData: DataRow;
    compareType: CompareType;
}): string | null;
export declare function getTooltipDisplayValue({ item, field, value }: {
    item: TooltipField | undefined;
    field: Field;
    value: any;
}): string;
