/**
 * Creates a notification
 * @param opt
 * @param opt.message - Message to display during the notification
 * @param opt.type - The type of message. One of DEFAULT_NOTIFICATION_TYPES
 * @param opt.topic - The topic the notification belongs to. One of DEFAULT_NOTIFICATION_TOPICS
 * @param opt.id optional id for notification. If not provided it will be generated by the method
 * @param opt.options - Extra parameters to store as part of hte notification
 * @returns
 */
export declare function createNotification({ message, type, topic, id, ...options }: {
    message?: string;
    type?: string;
    topic?: string;
    id?: string;
    options?: any;
}): {
    id: string;
    message: string;
    type: string;
    topic: string;
    options?: any;
};
/**
 * Creates an error notification
 * @param options
 * @returns {{topic, id, message, type: (null|number)}}
 */
export declare const errorNotification: (options: any) => {
    type: "error";
    id: string;
    message: string;
    topic: string;
    options?: any;
};
/**
 * Creates a success notification
 * @param options
 * @returns {{topic, id, message, type: null}}
 */
export declare const successNotification: (options: any) => {
    type: "success";
    id: string;
    message: string;
    topic: string;
    options?: any;
};
export declare const exportImageError: (options: any) => {
    type: "error";
    id: string;
    message: string;
    topic: string;
    options?: any;
};
