import { ChangeEventHandler, Component, FocusEventHandler, ReactNode } from 'react';
declare function noop(): void;
interface CheckboxProps {
    id: string;
    type?: string;
    label?: ReactNode;
    className?: string;
    value?: string | 'indeterminate';
    checked?: boolean;
    disabled?: boolean;
    error?: string;
    switch?: boolean;
    activeColor?: string;
    secondary?: boolean;
    onBlur: FocusEventHandler<HTMLInputElement>;
    onChange?: ChangeEventHandler<HTMLInputElement>;
    onFocus: FocusEventHandler<HTMLInputElement>;
}
export default class Checkbox extends Component<CheckboxProps> {
    static defaultProps: {
        disabled: boolean;
        checked: boolean;
        onBlur: typeof noop;
        onChange: typeof noop;
        onFocus: typeof noop;
        label: string;
    };
    state: {
        focused: boolean;
    };
    handleFocus: FocusEventHandler<HTMLInputElement>;
    handleBlur: FocusEventHandler<HTMLInputElement>;
    render(): JSX.Element;
}
export {};
