import React from 'react';
import { WrappedComponentProps } from 'react-intl';
import { FileLoading, FileLoadingProgress } from '@kepler.gl/types';
export declare const WarningMsg: import("styled-components").StyledComponent<"span", any, {}, never>;
declare type FileUploadProps = {
    onFileUpload: (files: File[]) => void;
    fileLoading: FileLoading | false;
    fileLoadingProgress: FileLoadingProgress;
    theme: object;
    /** A list of names of supported formats suitable to present to user */
    fileFormatNames?: string[];
    /** A list of typically 3 letter extensions (without '.') for file matching */
    fileExtensions?: string[];
    /** Set to true if app wants to do its own file filtering */
    disableExtensionFilter?: boolean;
} & WrappedComponentProps;
declare function FileUploadFactory(): React.ForwardRefExoticComponent<import("react-intl").Omit<FileUploadProps, "intl"> & {
    forwardedRef?: React.Ref<any> | undefined;
} & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<FileUploadProps>;
};
export default FileUploadFactory;
export declare const FileUpload: React.ForwardRefExoticComponent<import("react-intl").Omit<FileUploadProps, "intl"> & {
    forwardedRef?: React.Ref<any> | undefined;
} & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<FileUploadProps>;
};
