import { Component, ElementType } from 'react';
export declare const classList: {
    list: string;
    listHeader: string;
    listSection: string;
    listItem: string;
    listItemAnchor: string;
};
export declare const ListItem: ({ value, displayOption, light }: {
    value: any;
    displayOption?: ((d: any) => any) | undefined;
    light: any;
}) => JSX.Element;
interface DropdownListProps {
    options?: any[];
    allowCustomValues?: number;
    customClasses?: object;
    customValues?: any[];
    customListItemComponent?: ElementType;
    customListHeaderComponent?: ElementType;
    selectionIndex?: number;
    onOptionSelected?: Function;
    displayOption?: Function;
    defaultClassNames?: boolean;
    areResultsTruncated?: boolean;
    resultsTruncatedMessage?: string;
    listItemComponent?: Function;
    light?: boolean;
    fixedOptions?: any[];
}
export default class DropdownList extends Component<DropdownListProps> {
    static defaultProps: {
        customClasses: {};
        customListItemComponent: ({ value, displayOption, light }: {
            value: any;
            displayOption?: ((d: any) => any) | undefined;
            light: any;
        }) => JSX.Element;
        customListHeaderComponent: null;
        allowCustomValues: number;
        customValues: never[];
        displayOption: (d: any) => any;
        onOptionSelected: () => void;
        defaultClassNames: boolean;
        selectionIndex: null;
    };
    _onClick(result: any, event: any): void;
    render(): false | JSX.Element;
}
export {};
