import { RefObject, TouchEventHandler, MouseEventHandler as ReactMouseEventHandler } from 'react';
import { StyleRangeSliderType } from './slider';
declare type MouseEventHandlerProps = {
    vertical: boolean;
    valueListener: (distance: number) => void;
    toggleMouseOver: () => void;
    track: RefObject<StyleRangeSliderType>;
    setAnchor?: null | ((distance: number) => void);
};
export default class MouseEventHandler {
    private vertical;
    private valueListener;
    private toggleMouseOver;
    private track;
    private setAnchor;
    constructor({ vertical, valueListener, toggleMouseOver, track, setAnchor }: MouseEventHandlerProps);
    handleMouseDown: ReactMouseEventHandler;
    private getMousePos;
    private getTouchPosition;
    private mouseup;
    private getDistanceToTrack;
    private mousemove;
    handleTouchStart: TouchEventHandler;
    private touchmove;
    private touchend;
}
export {};
