import React from 'react';
import ExportHtmlMapFactory from './export-html-map';
import ExportJsonMapFactory from './export-json-map';
import { ActionHandler, setExportHTMLMapMode, setUserMapboxAccessToken } from '@kepler.gl/actions';
interface ExportMapModalFactoryProps {
    options?: {
        format: string;
    };
    config: any;
    onEditUserMapboxAccessToken: ActionHandler<typeof setUserMapboxAccessToken>;
    onChangeExportMapHTMLMode?: ActionHandler<typeof setExportHTMLMapMode>;
    onChangeExportMapFormat?: (format: string) => any;
    mapFormat?: string;
}
declare function ExportMapModalFactory(ExportHtmlMap: ReturnType<typeof ExportHtmlMapFactory>, ExportJsonMap: ReturnType<typeof ExportJsonMapFactory>): React.MemoExoticComponent<{
    ({ config, onChangeExportMapFormat, onChangeExportMapHTMLMode, onEditUserMapboxAccessToken, options }: ExportMapModalFactoryProps): JSX.Element;
    displayName: string;
}>;
declare namespace ExportMapModalFactory {
    var deps: ((() => React.MemoExoticComponent<{
        ({ config }: {
            config: any;
        }): JSX.Element;
        displayName: string;
    }>) | typeof ExportHtmlMapFactory)[];
}
export default ExportMapModalFactory;
