import { Component } from 'react';
import { Provider } from '@kepler.gl/cloud-providers';
import { SetCloudProviderPayload } from '@kepler.gl/actions';
export declare type ProviderModalContainerProps = {
    cloudProviders?: Provider[];
    currentProvider?: string | null;
    onSetCloudProvider: (provider: SetCloudProviderPayload) => void;
};
/**
 * A wrapper component in modals contain cloud providers.
 * It set default provider by checking which provider has logged in
 * @component
 */
export default class ProviderModalContainer extends Component<ProviderModalContainerProps> {
    static defaultProps: {
        cloudProviders: never[];
        currentProvider: null;
    };
    componentDidMount(): void;
    _setDefaultProvider(): void;
    render(): JSX.Element;
}
