import React from 'react';
import MapContainerFactory from './map-container';
import MapsLayoutFactory from './maps-layout';
import { ExportImage } from '@kepler.gl/constants';
import { SplitMap } from '@kepler.gl/types';
import { setExportImageDataUri, setExportImageError, setExportImageSetting } from '@kepler.gl/actions';
import { mapFieldsSelector } from './kepler-gl';
interface PlotContainerProps {
    width?: number;
    height?: number;
    exportImageSetting: ExportImage;
    addNotification: Function;
    mapFields: ReturnType<typeof mapFieldsSelector>;
    setExportImageSetting: typeof setExportImageSetting;
    setExportImageDataUri: typeof setExportImageDataUri;
    setExportImageError: typeof setExportImageError;
    splitMaps?: SplitMap[];
    enableErrorNotification?: boolean;
}
declare function PlotContainerFactory(MapContainer: ReturnType<typeof MapContainerFactory>, MapsLayout: ReturnType<typeof MapsLayoutFactory>): React.ComponentType<PlotContainerProps>;
declare namespace PlotContainerFactory {
    var deps: (typeof MapContainerFactory | typeof MapsLayoutFactory)[];
}
export default PlotContainerFactory;
