import React from 'react';
import { WrappedComponentProps } from 'react-intl';
import LayerListFactory from './layer-panel/layer-list';
import DatasetLayerGroupFactory from './layer-panel/dataset-layer-group';
import PanelViewListToggleFactory from './layer-panel/panel-view-list-toggle';
import PanelTitleFactory from './panel-title';
import DatasetSectionFactory from './layer-panel/dataset-section';
import AddLayerButtonFactory from './layer-panel/add-layer-button';
import { Layer, LayerClassesType } from '@kepler.gl/layers';
import { UIStateActions, VisStateActions, ActionHandler } from '@kepler.gl/actions';
import { SidePanelItem } from '../types';
import { LayerPanelListView } from '@kepler.gl/types';
import { Datasets } from '@kepler.gl/table';
declare type LayerManagerProps = {
    datasets: Datasets;
    layers: Layer[];
    layerOrder: number[];
    layerClasses: LayerClassesType;
    layerBlending: string;
    uiStateActions: typeof UIStateActions;
    visStateActions: typeof VisStateActions;
    showAddDataModal: () => void;
    removeDataset: ActionHandler<typeof UIStateActions.openDeleteModal>;
    showDatasetTable: ActionHandler<typeof VisStateActions.showDatasetTable>;
    updateTableColor: ActionHandler<typeof VisStateActions.updateTableColor>;
    layerPanelListView: LayerPanelListView;
    panelMetadata: SidePanelItem;
} & WrappedComponentProps;
declare function LayerManagerFactory(LayerList: ReturnType<typeof LayerListFactory>, DatasetLayerGroup: ReturnType<typeof DatasetLayerGroupFactory>, PanelViewListToggle: ReturnType<typeof PanelViewListToggleFactory>, PanelTitle: ReturnType<typeof PanelTitleFactory>, DatasetSection: ReturnType<typeof DatasetSectionFactory>, AddLayerButton: ReturnType<typeof AddLayerButtonFactory>): React.ForwardRefExoticComponent<import("react-intl").Omit<LayerManagerProps, "intl"> & {
    forwardedRef?: React.Ref<any> | undefined;
} & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<LayerManagerProps>;
};
declare namespace LayerManagerFactory {
    var deps: ((() => import("styled-components").StyledComponent<"div", any, {
        className: string;
    }, "className">) | typeof AddLayerButtonFactory | typeof LayerListFactory | typeof DatasetLayerGroupFactory | typeof PanelViewListToggleFactory | typeof DatasetSectionFactory)[];
}
export default LayerManagerFactory;
