import React from 'react';
import FieldSelectorFactory from '../../common/field-selector';
import { LayerColumn, LayerColumns } from '@kepler.gl/layers';
import { Field, FieldPair } from '@kepler.gl/types';
declare type Pair = {
    name: string;
    type: string;
    pair: FieldPair['pair'];
};
declare type ColumnSelectorProps = {
    column: LayerColumn;
    columns: LayerColumns;
    label: string;
    allFields: Field[];
    onSelect: (items: ReadonlyArray<string | number | boolean | object> | string | number | boolean | object | null) => void;
    fieldPairs?: Pair[] | null;
};
declare function ColumnSelectorFactory(FieldSelector: ReturnType<typeof FieldSelectorFactory>): React.FC<ColumnSelectorProps>;
declare namespace ColumnSelectorFactory {
    var deps: (typeof FieldSelectorFactory)[];
}
export default ColumnSelectorFactory;
