import React from 'react';
import DatasetLayerSectionFactory from './dataset-layer-section';
import { Layer, LayerClassesType } from '@kepler.gl/layers';
import { UIStateActions, VisStateActions, ActionHandler } from '@kepler.gl/actions';
import { Datasets } from '@kepler.gl/table';
declare type DatasetLayerGroupProps = {
    datasets: Datasets;
    layers: Layer[];
    layerOrder: number[];
    layerClasses: LayerClassesType;
    showDeleteDataset: boolean;
    removeDataset: ActionHandler<typeof UIStateActions.openDeleteModal>;
    showDatasetTable: ActionHandler<typeof VisStateActions.showDatasetTable>;
    updateTableColor: ActionHandler<typeof VisStateActions.updateTableColor>;
    uiStateActions: typeof UIStateActions;
    visStateActions: typeof VisStateActions;
};
declare function DatasetLayerGroupFactory(DatasetLayerSection: ReturnType<typeof DatasetLayerSectionFactory>): React.FC<DatasetLayerGroupProps>;
declare namespace DatasetLayerGroupFactory {
    var deps: (typeof DatasetLayerSectionFactory)[];
}
export default DatasetLayerGroupFactory;
