import React from 'react';
import SourceDataCatalogFactory from '../common/source-data-catalog';
import LayerListFactory from './layer-list';
import { Layer, LayerClassesType } from '@kepler.gl/layers';
import { UIStateActions, ActionHandler, VisStateActions } from '@kepler.gl/actions';
import { KeplerTable } from '@kepler.gl/table';
declare type DatasetLayerSectionProps = {
    dataset: KeplerTable;
    layers: Layer[];
    layerOrder: number[];
    layerClasses: LayerClassesType;
    showDeleteDataset: boolean;
    showDatasetTable: ActionHandler<typeof VisStateActions.showDatasetTable>;
    updateTableColor: ActionHandler<typeof VisStateActions.updateTableColor>;
    removeDataset: ActionHandler<typeof UIStateActions.openDeleteModal>;
    uiStateActions: typeof UIStateActions;
    visStateActions: typeof VisStateActions;
};
declare function DatasetLayerSectionFactory(SourceDataCatalog: ReturnType<typeof SourceDataCatalogFactory>, LayerList: ReturnType<typeof LayerListFactory>): React.FC<DatasetLayerSectionProps>;
declare namespace DatasetLayerSectionFactory {
    var deps: (typeof LayerListFactory | typeof SourceDataCatalogFactory)[];
}
export default DatasetLayerSectionFactory;
