import React, { ComponentType, MouseEventHandler, ChangeEventHandler } from 'react';
import PanelHeaderActionFactory from '../panel-header-action';
import { RGBColor } from '@kepler.gl/types';
import { BaseProps } from '../../common/icons';
declare type LayerLabelEditorProps = {
    layerId: string;
    label?: string;
    onEdit: ChangeEventHandler;
    onFocus: ChangeEventHandler;
    onBlur: ChangeEventHandler;
};
declare type LayerTitleSectionProps = {
    layerType?: string | null;
    layerId: string;
    label?: string;
    onUpdateLayerLabel: ChangeEventHandler;
    onFocus: ChangeEventHandler;
    onBlur: ChangeEventHandler;
};
declare type LayerPanelHeaderProps = {
    layerId: string;
    isVisible: boolean;
    onToggleVisibility: MouseEventHandler;
    onUpdateLayerLabel: ChangeEventHandler;
    onToggleEnableConfig: MouseEventHandler;
    onRemoveLayer: MouseEventHandler;
    onDuplicateLayer: MouseEventHandler;
    isConfigActive: boolean;
    showRemoveLayer?: boolean;
    label?: string;
    layerType?: string | null;
    allowDuplicate?: boolean;
    isDragNDropEnabled?: boolean;
    warning?: boolean;
    labelRCGColorValues?: RGBColor | null;
    actionIcons?: {
        remove: ComponentType<Partial<BaseProps>>;
        visible: ComponentType<Partial<BaseProps>>;
        hidden: ComponentType<Partial<BaseProps>>;
        enableConfig: ComponentType<Partial<BaseProps>>;
        resetIsValid: ComponentType<Partial<BaseProps>>;
        duplicate: ComponentType<Partial<BaseProps>>;
    };
};
export declare const defaultProps: {
    isDragNDropEnabled: boolean;
    showRemoveLayer: boolean;
};
export declare const DragHandle: React.ComponentClass<{
    className: any;
    children: any;
}, any>;
export declare const LayerLabelEditor: React.FC<LayerLabelEditorProps>;
export declare function LayerTitleSectionFactory(): React.FC<LayerTitleSectionProps>;
export declare const HeaderWarning: ({ warning, id }: {
    warning: any;
    id: any;
}) => JSX.Element;
declare function LayerPanelHeaderFactory(LayerTitleSection: ReturnType<typeof LayerTitleSectionFactory>, PanelHeaderAction: ReturnType<typeof PanelHeaderActionFactory>): React.FC<LayerPanelHeaderProps>;
declare namespace LayerPanelHeaderFactory {
    var deps: (typeof PanelHeaderActionFactory | typeof LayerTitleSectionFactory)[];
}
export default LayerPanelHeaderFactory;
