import React from 'react';
import MapStyleSelectorFactory from './map-style-panel/map-style-selector';
import LayerGroupSelectorFactory from './map-style-panel/map-layer-selector';
import { WrappedComponentProps } from 'react-intl';
import { MapStyle } from '@kepler.gl/reducers';
import { MapStyleActions } from '@kepler.gl/actions';
declare type MapManagerProps = {
    mapStyle: MapStyle;
    mapStyleActions: typeof MapStyleActions;
    showAddMapStyleModal: () => void;
} & WrappedComponentProps;
declare function MapManagerFactory(MapStyleSelector: ReturnType<typeof MapStyleSelectorFactory>, LayerGroupSelector: ReturnType<typeof LayerGroupSelectorFactory>): React.ForwardRefExoticComponent<import("react-intl").Omit<MapManagerProps, "intl"> & {
    forwardedRef?: React.Ref<any> | undefined;
} & React.RefAttributes<any>> & {
    WrappedComponent: React.ComponentType<MapManagerProps>;
};
declare namespace MapManagerFactory {
    var deps: (typeof LayerGroupSelectorFactory | typeof MapStyleSelectorFactory)[];
}
export default MapManagerFactory;
