import { ColorRange, DEFAULT_COLOR_RANGE } from './color-ranges';
import { AGGREGATION_TYPES } from './default-settings';
import { ColorUI, LayerTextConfig, LayerTextLabel, LayerVisConfigSettings, RGBAColor } from '@kepler.gl/types';
export declare type AggregationTypes = keyof typeof AGGREGATION_TYPES;
export declare const PROPERTY_GROUPS: {
    color: "color";
    stroke: "stroke";
    radius: "radius";
    height: "height";
    angle: "angle";
    cell: "cell";
    precision: "precision";
    display: "display";
};
export declare const DEFAULT_LAYER_OPACITY = 0.8;
export declare const DEFAULT_HIGHLIGHT_COLOR: RGBAColor;
export declare const DEFAULT_LAYER_LABEL = "new layer";
export { DEFAULT_COLOR_RANGE };
export declare const DEFAULT_TEXT_LABEL: LayerTextLabel;
export declare const DEFAULT_CUSTOM_PALETTE: ColorRange;
export declare const UNKNOWN_COLOR_KEY = "__unknownColor__";
export declare const DEFAULT_COLOR_UI: ColorUI;
export declare const LAYER_VIS_CONFIGS: LayerVisConfigSettings;
export declare const LAYER_TEXT_CONFIGS: LayerTextConfig;
export declare const LAYER_TYPES: {
    point: "point";
    arc: "arc";
    line: "line";
    grid: "grid";
    hexagon: "hexagon";
    geojson: "geojson";
    cluster: "cluster";
    icon: "icon";
    heatmap: "heatmap";
    hexagonId: "hexagonId";
    '3D': "3D";
    trip: "trip";
    s2: "s2";
};
export declare const EDITOR_AVAILABLE_LAYERS: string[];
