import { RGBColor } from '@kepler.gl/types';
export declare type ThreeDBuildingLayerProps = {
    id: string;
    mapboxApiAccessToken: string;
    mapboxApiUrl: string;
    threeDBuildingColor: RGBColor;
    updateTriggers: {
        getFillColor: RGBColor;
    };
};
export declare type Coordinates = {
    x: number;
    y: number;
    z: number;
};
export declare type FlatFigure = ([number, number] | [number, number, number])[];
export declare type TileDataItem = {
    coordinates: FlatFigure[];
    properties: VectorTileFeatureProperties;
};
export declare type VectorTileFeatureProperties = {
    layer: string;
    height?: number;
};
export declare type VectorTileFeature = {
    extent: number;
    properties: VectorTileFeatureProperties;
    _pbf: {
        buf: ArrayBuffer;
        pos: number;
        type: number;
        length: number;
        readVarint: (b?: boolean) => number;
        readSVarint: () => number;
    };
    _geometry: number;
};
